# Uses of Interface
org.eclipse.emf.cdo.lm.client.ISystemDescriptor

Packages that use ISystemDescriptor
Package
Description
org.eclipse.emf.cdo.lm.client
Client concepts for dealing with CDO Lifecycle Management systems and assemblies.

## Uses of ISystemDescriptor in org.eclipse.emf.cdo.lm.client

Methods in org.eclipse.emf.cdo.lm.client that return ISystemDescriptor
Modifier and Type
Method
Description
`ISystemDescriptor`
ISystemManager.`getDescriptor(String systemName)`
`ISystemDescriptor`
ISystemManager.`getDescriptor(String systemName, long timeout)`
`ISystemDescriptor`
ISystemManager.`getDescriptor(CDORepository repository)`
`ISystemDescriptor`
ISystemManager.`getDescriptor(EObject object)`
`ISystemDescriptor[]`
ISystemManager.`getDescriptors()`
`ISystemDescriptor`
IAssemblyDescriptor.`getSystemDescriptor()`
`ISystemDescriptor`
ISystemManager.SystemEvent.`getSystemDescriptor()`
Methods in org.eclipse.emf.cdo.lm.client with parameters of type ISystemDescriptor
Modifier and Type
Method
Description
`Drop`
LMImporter.DropCreator.`createDrop(ISystemDescriptor systemDescriptor, Stream stream, long timeStamp, IProgressMonitor monitor)`
`static DropType`
LMImporter.DropCreator.`getDefaultDropType(ISystemDescriptor systemDescriptor)`
`List<Module>`
LMImporter.ImportResolution.`importModules(ISystemDescriptor systemDescriptor)`
Method parameters in org.eclipse.emf.cdo.lm.client with type arguments of type ISystemDescriptor
Modifier and Type
Method
Description
`void`
ISystemManager.`forEachDescriptor(Consumer<ISystemDescriptor> consumer)`